View Issue Details

IDProjectCategoryView StatusLast Update
0001143PluginsFARCmdspublic2014-07-08 22:04
ReporterJohnDoeAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary0001143: edit:<[.exe --help
DescriptionСказано:
> Если имя файла содержит квадратные скобки, например, "[1].txt", то для
> корректного открытия такого файла в редакторе необходимо перед именем
> выставить хотя бы один разделитель (например, пробел) или взять имя файла в
> двойные кавычки:
>
> edit: [1].txt
> edit:"[1].txt"

На самом же деле:
1) Всё работает отлично и без разделитей/кавычек: edit:[1].txt
2) Следующая команда не работает несмотря на кавычки edit:<"[.exe" --help

Впрочем случай 2 по идее вообще не должен подпадать под процитированный фрагмент хелпа
TagsNo tags attached.

Relationships

related to 0001154 closedvskirdin Префикс "edit:" искжает путь к редактируемому файлу 
related to 0000923 closedvskirdin Проблемы с модификаторами перехвата вывода 

Activities

vskirdin

2009-11-02 16:20

administrator   bugnote:0004444

build 51

JohnDoe

2009-11-03 12:42

updater   bugnote:0004470

Не помогло. Без пробела после < вообще не работает

А с пробелом - не находит файл.

edit:< "[.exe" --help

""[.exe --help" не является внутренней или внешней
командой, исполняемой программой или пакетным файлом.

И сообщение странное (лишняя кавычка)

JohnDoe

2009-11-03 14:50

updater   bugnote:0004482

Ещё баги связанные с разделителями: 0000923

JohnDoe

2009-12-06 19:53

updater   bugnote:0004685

1) Без пробела после < - выводит хелп.
edit:<[.exe --help
edit:<"[.exe" --help

2) С пробелом но без кавычек - работает нормально
edit:< [.exe --help

3) С кавычками неработает
edit:< "[.exe" --help

4) Если убрать вторую кавычку, или добавить третью - работает
edit:< "[.exe --help
edit:< "[.exe" --help"

Итак, при перенаправлении вывода имеются 2 разных проблемы:
- Первая - проблема с [ - имеет место только в edit:<
- Вторая - проблема с парностью кавычек - имеет место также и в команде view:<

Первая - в рамках этого тикета (всё ещё актуальна)
Вторую предлагаю обсуждать в 0000923

JohnDoe

2010-04-30 12:26

updater   bugnote:0005289

Last edited: 2010-04-30 12:28

View 2 revisions

Проблема НЕ РЕШЕНА.
Поменяйте пожалуйста статус обратно на Assigned

Пытался сделать это сам, но видать права и тут урезали :(

vskirdin

2014-07-08 17:12

administrator   bugnote:0012672

build 116

JohnDoe

2014-07-08 20:29

updater   bugnote:0012681

Last edited: 2014-07-08 21:16

View 2 revisions

Вот такая конструкция не работает
edit:<"util.exe" "qwerty"

Но это скорее в 0000034

А данный тикет решён

vskirdin

2014-07-08 22:04

administrator   bugnote:0012690

продолжаем в рамках 0000034

Issue History

Date Modified Username Field Change
2009-10-29 20:19 JohnDoe New Issue
2009-11-02 16:07 alexy Relationship added related to 0001154
2009-11-02 16:07 alexy Status new => assigned
2009-11-02 16:07 alexy Assigned To => vskirdin
2009-11-02 16:20 vskirdin Note Added: 0004444
2009-11-02 16:20 vskirdin Status assigned => feedback
2009-11-03 12:42 JohnDoe Note Added: 0004470
2009-11-03 14:50 JohnDoe Note Added: 0004482
2009-11-03 14:53 alexy Relationship added related to 0000923
2009-12-06 19:53 JohnDoe Note Added: 0004685
2010-04-30 12:25 JohnDoe Status feedback => resolved
2010-04-30 12:26 JohnDoe Note Added: 0005289
2010-04-30 12:28 JohnDoe Note Edited: 0005289 View Revisions
2010-05-03 02:13 alexy Status resolved => assigned
2014-07-08 17:12 vskirdin Note Added: 0012672
2014-07-08 17:12 vskirdin Status assigned => feedback
2014-07-08 20:29 JohnDoe Note Added: 0012681
2014-07-08 20:29 JohnDoe Status feedback => assigned
2014-07-08 21:16 JohnDoe Note Edited: 0012681 View Revisions
2014-07-08 22:04 vskirdin Note Added: 0012690
2014-07-08 22:04 vskirdin Status assigned => closed
2014-07-08 22:04 vskirdin Resolution open => fixed
2014-07-08 22:04 vskirdin Fixed in Version => 3.0